VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::FindSpec Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::FindSpec:

## Avaliable Methods
public method | set_type ()
public method | get_cached ()
public method | get_library_id ()
public method | set_name ()
public method | set_source_id ()
public method | set_cached ()
public method | set_library_id ()
public method | new ()
public method | get_type ()
public method | get_name ()
public method | get_source_id ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::FindSpec` class specifies the properties that can be used as a filter to find library items. When multiple fields are specified, all properties of the item must match the specification.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::FindSpec::get_cached | ( |  | ) |

Gets the value of 'cached' property.

Return values

  cached | - The current value of the field. Whether the item is cached. Possible values are 'true' or 'false'. See :attr:`Com::Vmware::Content::Library::ItemModel.cached` . Optional#

Code:
click to view
# Number of lines of code in get_cached: 4
sub get_cached {
my ($self, %args) = @_;
return $self->{'cached'};
}

public method Com::Vmware::Content::Library::Item::FindSpec::get_library_id | ( |  | ) |

Gets the value of 'library_id' property.

Return values

  library_id | - The current value of the field. The identifier of the library containing the item. See :attr:`Com::Vmware::Content::Library::ItemModel.library_id` . Optional#

Code:
click to view
# Number of lines of code in get_library_id: 4
sub get_library_id {
my ($self, %args) = @_;
return $self->{'library_id'};
}

public method Com::Vmware::Content::Library::Item::FindSpec::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the library item. The name is case-insensitive. See :attr:`Com::Vmware::Content::Library::ItemModel.name` . Optional#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Library::Item::FindSpec::get_source_id | ( |  | ) |

Gets the value of 'source_id' property.

Return values

  source_id | - The current value of the field. The identifier of the library item as reported by the publisher. See :attr:`Com::Vmware::Content::Library::ItemModel.source_id` . Optional#

Code:
click to view
# Number of lines of code in get_source_id: 4
sub get_source_id {
my ($self, %args) = @_;
return $self->{'source_id'};
}

public method Com::Vmware::Content::Library::Item::FindSpec::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. The type of the library item. The type is case-insensitive. See :attr:`Com::Vmware::Content::Library::ItemModel.type` . Optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Content::Library::Item::FindSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::FindSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{library_id} = $args{'library_id'};
$self->{source_id} = $args{'source_id'};
$self->{type} = $args{'type'};
$self->{cached} = $args{'cached'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::FindSpec');
$self->set_binding_name('name' => 'com.vmware.content.library.item.find_spec');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'library_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'source_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'cached', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::FindSpec::set_cached | ( |  | ) |

Sets the given value for 'cached' property.

Parameters

  cached | - New value for the field. Whether the item is cached. Possible values are 'true' or 'false'. See :attr:`Com::Vmware::Content::Library::ItemModel.cached` .

Code:
click to view
# Number of lines of code in set_cached: 5
sub set_cached {
my ($self, %args) = @_;
$self->{'cached'} = $args{'cached'};
return;
}

public method Com::Vmware::Content::Library::Item::FindSpec::set_library_id | ( |  | ) |

Sets the given value for 'library_id' property.

Parameters

  library_id | - New value for the field. The identifier of the library containing the item. See :attr:`Com::Vmware::Content::Library::ItemModel.library_id` .

Code:
click to view
# Number of lines of code in set_library_id: 5
sub set_library_id {
my ($self, %args) = @_;
$self->{'library_id'} = $args{'library_id'};
return;
}

public method Com::Vmware::Content::Library::Item::FindSpec::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the library item. The name is case-insensitive. See :attr:`Com::Vmware::Content::Library::ItemModel.name` .

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Content::Library::Item::FindSpec::set_source_id | ( |  | ) |

Sets the given value for 'source_id' property.

Parameters

  source_id | - New value for the field. The identifier of the library item as reported by the publisher. See :attr:`Com::Vmware::Content::Library::ItemModel.source_id` .

Code:
click to view
# Number of lines of code in set_source_id: 5
sub set_source_id {
my ($self, %args) = @_;
$self->{'source_id'} = $args{'source_id'};
return;
}

public method Com::Vmware::Content::Library::Item::FindSpec::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. The type of the library item. The type is case-insensitive. See :attr:`Com::Vmware::Content::Library::ItemModel.type` .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item.pm